%define filever 1.0Beta6

Name: gnome-toaster
Summary: CD-Recording frontend for GNOME
Version: 1.0
Release: 0.beta6.5mdk
Source: http://gnometoaster.rulez.org/archive/gtoaster%{filever}.tar.bz2
Source1: gtoaster-ide-config
Source2: README.urpmi
Patch0: gnome-toaster-1.0-0.beta6-crash.patch.bz2
URL: http://gnometoaster.rulez.org/
Group: Archiving/Cd burning
BuildRequires: db1-devel gnome-libs-devel zlib-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: cdrecord
Epoch: 0
License: GPL

%description
CD-Recording frontend for GNOME.

Note: you may need to customize the commands for using cdrecord for IDE 
drives.  A simple script gtoaster-ide-config is provided to modify the 
config file.  See README.urpmi in /usr/share/doc/gnome-toaster-1.0 
for more info.

%prep
%setup -q -n gtoaster
%patch0 -p1 -b .crash
perl -pi -e 's#oggtst#ogginfo#' defaultentries.h

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
install %{SOURCE1} %buildroot/%{_bindir}
cp %{SOURCE2} . 

# Mandrake Menu entry
mkdir -p %buildroot/%{_menudir}
cat <<EOF > %buildroot/%{_menudir}/%{name}
?package(%{name}): \
needs="x11" \
section="Applications/Archiving/CD Burning" \
title="Gnome-Toaster" \
longtitle="A GNOME utility for CD burning" \
command="%{_bindir}/gtoaster" \
icon="cd_burning_section.png"
EOF

# let's clean Documentation directory
# rm -rf Documentation/CVS
#(peroyvind) manually install locale files as the makefile script failed to do so
for i in po/*.gmo ; \
	do \
	j=`echo $i|cut -d. -f1|cut -d/ -f2` ; \
	install -m644 $i -D $RPM_BUILD_ROOT%{_datadir}/locale/$j/LC_MESSAGES/gtoaster.mo ; \
done

%find_lang gtoaster

%clean
rm -rf %buildroot

%post
%{update_menus}

%postun
%{clean_menus}

%files -f gtoaster.lang 
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO README.urpmi
%{_bindir}/*
%{_menudir}/*

%changelog
* Mon Dec 13 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.0-0.beta6.5mdk
- fix another crash (patch0, Bugzilla #12504)

* Fri Sep 10 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.0-0.beta6.4mdk
- fix crash (patch0)
- add README.urpmi for heads up on our cdrecord and IDE drives
- add gtoaster-ide-config conversion script for our cdrecord and IDE drives

* Mon Sep 06 2004 Marcel Pol <mpol@mandrake.org> 1.0-0.beta6.3mdk
- fix menu section

* Thu Jul 24 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0-0.beta6.2mdk
- install locale files

* Thu Jul 24 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0-0.beta6.1mdk
- rebuild
- 1.0Beta6
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install

* Mon Jan  6 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.0-0.beta5.3mdk
- rebuild for new glibc/rpm

* Tue Aug 27 2002 David BAUDENS <baudens@mandrakesoft.com> 1.0-0.beta5.2mdk
- Fix icon (menu)

* Thu Aug  8 2002  Amaury Amblard-Ladurantie <amaury@mandrakesoft.com> 1.0-0.beta5.1mdk
- new version

* Fri Apr 12 2002 Yves Duret <yduret@mandrakesoft.com> 1.0-0.beta2.8mdk
- fix burning of .ogg files to CD-Audio by a perlish "patch" to use standard
  ogginfo instead of useless ogtst.
- png icons
- remove NEWS ffile from %%doc (zero-length)

* Thu Sep 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-0.beta2.7mdk
- Fix patch0 to non blocking dialog
- Add require on cdrecord

* Wed Sep 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-0.beta2.6mdk
- Patch0: popup a dialog to fix bug 4860 (freeze at startup)

* Thu Aug 30 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0-0.beta2.5mdk
- Use %%find_lang for all locales

* Thu Aug 30 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0-0.beta2.4mdk
- Fix previous changelog :-/

* Thu Aug 30 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0-0.beta2.3mdk
- Use new icons
- Add missing files

* Mon Jul 23 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0-0.beta2.2mdk
- BuildRequires:	db1-devel
- Removed BuildRequires:	audiofile-devel
- Removed BuildRequires:	esound-devel
- Removed BuildRequires:	imlib-devel
- Removed BuildRequires:	XFree86-devel

* Tue Jul  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-0.beta2.1mdk
- Release 1.0beta2

* Fri Jun 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-0.beta1.1mdk
- Release 1.0beta1 (snapshot 2001060411)

* Thu Apr 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2001033113-1mdk
- Release 2001-03-31

* Tue Sep  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 20000227-5mdk
- Update icons
- Embed menuentry
- BM + macroszifications

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 20000227-4mdk
- automatically added BuildRequires

* Thu May 04 2000 Daouda Lo <daouda@mandrakesoft.com> 20000227-3mdk
- icon 32x32 and 16x16.

* Fri Apr 28 2000 Vincent Saugey <vince@mandrakesoft.com> 20000227-2mdk
- Fixed icon path in menu entry
- Rename menu file
- Add documentation
- Convert icon to xpm

* Thu Apr 13 2000 Daouda Lo <daouda@mandrakesoft.com> 20000227-1mdk
- release 20000227
- SMP build/check

* Mon Apr 10 2000 Daouda Lo <daouda@mandrakesoft.com> 19991011-2mdk
- add menu support 
- update group 

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP check/build
- 19991021 

* Tue Jul 22 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add french description

* Sat Jun 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Initial RPM

